CVE-2005-4746
CVSS7.8
发布时间 :2005-12-31 00:00:00
修订时间 :2010-04-02 02:30:40
NMCOPS    

[原文]Multiple buffer overflows in FreeRADIUS 1.0.3 and 1.0.4 allow remote attackers to cause denial of service (crash) via (1) the rlm_sqlcounter module or (2) unknown vectors "while expanding %t".


[CNNVD]FreeRADIUS多个RLM_SQLCounter缓冲区溢出漏洞(CNNVD-200512-859)

        FreeRADIUS 1.0.3及1.0.4版本存在多个缓冲区溢出,远程攻击者可以通过(1)rlm_sqlcounter模块或(2)"在扩展%t"时的未知向量发起拒绝服务攻击(崩溃)。

- CVSS (基础分值)

CVSS分值: 7.8 [严重(HIGH)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:freeradius:freeradius:1.0.3FreeRADIUS 1.0.3
cpe:/a:freeradius:freeradius:1.0.4FreeRADIUS 1.0.4

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-4746
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-4746
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200512-859
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/17293
(PATCH)  BID  17293
http://www.osvdb.org/19325
(UNKNOWN)  OSVDB  19325
http://www.osvdb.org/19324
(UNKNOWN)  OSVDB  19324
http://www.freeradius.org/security.html
(UNKNOWN)  CONFIRM  http://www.freeradius.org/security.html
http://www.mandriva.com/security/advisories?name=MDKSA-2007:092
(UNKNOWN)  MANDRIVA  MDKSA-2007:092
http://www.mandriva.com/security/advisories?name=MDKSA-2006:066
(UNKNOWN)  MANDRIVA  MDKSA-2006:066
http://www.debian.org/security/2006/dsa-1145
(UNKNOWN)  DEBIAN  DSA-1145

- 漏洞信息

FreeRADIUS多个RLM_SQLCounter缓冲区溢出漏洞
高危 缓冲区溢出
2005-12-31 00:00:00 2006-04-10 00:00:00
远程  
        FreeRADIUS 1.0.3及1.0.4版本存在多个缓冲区溢出,远程攻击者可以通过(1)rlm_sqlcounter模块或(2)"在扩展%t"时的未知向量发起拒绝服务攻击(崩溃)。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        ftp://ftp.freeradius.org/pub/radius/freeradius-1.1.1.tar.gz
        http://www.mandriva.com/en/download

- 漏洞信息 (F56185)

Mandriva Linux Security Advisory 2007.092 (PacketStormID:F56185)
2007-04-24 00:00:00
Mandriva  mandriva.com
advisory,remote,overflow,arbitrary,sql injection
linux,mandriva
CVE-2005-4746,CVE-2005-4745
[点击下载]

Mandriva Linux Security Advisory - Multiple buffer overflows were found in the FreeRADIUS package version 1.0.4 and prior that could allow a remote attacker to cause a crash via the rlm_sqlcounter module. As well, an SQL injection vulnerability was also found in the rlm_sqlcounter that could allow a remote attacker to execute arbitrary SQL commands via unknown attack vectors.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 _______________________________________________________________________
 
 Mandriva Linux Security Advisory                         MDKSA-2007:092
 http://www.mandriva.com/security/
 _______________________________________________________________________
 
 Package : freeradius
 Date    : April 23, 2007
 Affected: Corporate 4.0
 _______________________________________________________________________
 
 Problem Description:
 
 Multiple buffer overflows were found in the FreeRADIUS package version
 1.0.4 and prior that could allow a remote attacker to cause a crash
 via the rlm_sqlcounter module (CVE-2005-4746).
 
 As well, an SQL injection vulnerability was also found in the
 rlm_sqlcounter that could allow a remote attacker to execute arbitrary
 SQL commands via unknown attack vectors (CVE-2005-4745).
 
 Updated packages have been patched to correct this issue.
 _______________________________________________________________________

 References:
 
 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-4745
 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-4746
 _______________________________________________________________________
 
 Updated Packages:
 
 Corporate 4.0:
 523055be4399355565d6175d7df13ca7  corporate/4.0/i586/freeradius-1.0.4-2.4.20060mlcs4.i586.rpm
 4e000a3cb2c8cb2f3359a961878a310a  corporate/4.0/i586/libfreeradius1-1.0.4-2.4.20060mlcs4.i586.rpm
 3e9f17beada7d6d10235c6db8156a77a  corporate/4.0/i586/libfreeradius1-devel-1.0.4-2.4.20060mlcs4.i586.rpm
 0429cf3dda93772e358fc34a1d5cb1f8  corporate/4.0/i586/libfreeradius1-krb5-1.0.4-2.4.20060mlcs4.i586.rpm
 216c28ffac0b1d03a493d5548556be2d  corporate/4.0/i586/libfreeradius1-ldap-1.0.4-2.4.20060mlcs4.i586.rpm
 07ebd1dbb7d4f1a71253ebab163f1dd8  corporate/4.0/i586/libfreeradius1-mysql-1.0.4-2.4.20060mlcs4.i586.rpm
 9b3586d1c94b6cf650723a095db846d7  corporate/4.0/i586/libfreeradius1-postgresql-1.0.4-2.4.20060mlcs4.i586.rpm
 10b8fb70adfc1a641b2f63c041db1069  corporate/4.0/i586/libfreeradius1-unixODBC-1.0.4-2.4.20060mlcs4.i586.rpm 
 0fb72186b61687df8dedff8d874fbb86  corporate/4.0/SRPMS/freeradius-1.0.4-2.4.20060mlcs4.src.rpm

 Corporate 4.0/X86_64:
 435d07e3a5878cb0fd27e02fbee702df  corporate/4.0/x86_64/freeradius-1.0.4-2.4.20060mlcs4.x86_64.rpm
 f57c46977fbd86772852f21d138605de  corporate/4.0/x86_64/lib64freeradius1-1.0.4-2.4.20060mlcs4.x86_64.rpm
 bcc4dc4cac18ed3d034483de311fe240  corporate/4.0/x86_64/lib64freeradius1-devel-1.0.4-2.4.20060mlcs4.x86_64.rpm
 646309915542dad2b6e68ff130fead11  corporate/4.0/x86_64/lib64freeradius1-krb5-1.0.4-2.4.20060mlcs4.x86_64.rpm
 039290c0f429ff9f5ecf1ce13b17765f  corporate/4.0/x86_64/lib64freeradius1-ldap-1.0.4-2.4.20060mlcs4.x86_64.rpm
 0ca4c838dae5657c3f902ed2234a7286  corporate/4.0/x86_64/lib64freeradius1-mysql-1.0.4-2.4.20060mlcs4.x86_64.rpm
 a48ad352690163f2fd90f022007bcd7a  corporate/4.0/x86_64/lib64freeradius1-postgresql-1.0.4-2.4.20060mlcs4.x86_64.rpm
 e8aea2d0c9a45462ef30ab0113b62164  corporate/4.0/x86_64/lib64freeradius1-unixODBC-1.0.4-2.4.20060mlcs4.x86_64.rpm 
 0fb72186b61687df8dedff8d874fbb86  corporate/4.0/SRPMS/freeradius-1.0.4-2.4.20060mlcs4.src.rpm
 _______________________________________________________________________

 To upgrade automatically use MandrivaUpdate or urpmi.  The verification
 of md5 checksums and GPG signatures is performed automatically for you.

 All packages are signed by Mandriva for security.  You can obtain the
 GPG public key of the Mandriva Security Team by executing:

  gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98

 You can view other update advisories for Mandriva Linux at:

  http://www.mandriva.com/security/advisories

 If you want to report vulnerabilities, please contact

  security_(at)_mandriva.com
 _______________________________________________________________________

 Type Bits/KeyID     Date       User ID
 pub  1024D/22458A98 2000-07-10 Mandriva Security Team
  <security*mandriva.com>
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.7 (GNU/Linux)

iD8DBQFGLO1nmqjQ0CJFipgRAsFaAJ9co3OlDWZ/TbgBhXObcQQisfeV7wCglV83
4mS7Fi8Nr26rU13+J4dlRxM=
=UflY
-----END PGP SIGNATURE-----

    

- 漏洞信息

19324
FreeRADIUS rlm_sqlcounter Module Overflow DoS
Denial of Service, Input Manipulation
Loss of Integrity, Loss of Availability

- 漏洞描述

Unknown or Incomplete

- 时间线

2005-09-09 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 1.0.5 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

FreeRADIUS Multiple RLM_SQLCounter Buffer Overflow Vulnerabilities
Boundary Condition Error 17293
Yes No
2005-09-09 12:00:00 2007-04-26 09:10:00
Primoz Bratanic is credited with the discovery of these vulnerabilities.

- 受影响的程序版本

MandrakeSoft Corporate Server 4.0 x86_64
MandrakeSoft Corporate Server 4.0
FreeRADIUS FreeRADIUS 1.0.4
FreeRADIUS FreeRADIUS 1.0.3
Debian Linux 3.1 sparc
Debian Linux 3.1 s/390
Debian Linux 3.1 ppc
Debian Linux 3.1 mipsel
Debian Linux 3.1 mips
Debian Linux 3.1 m68k
Debian Linux 3.1 ia-64
Debian Linux 3.1 ia-32
Debian Linux 3.1 hppa
Debian Linux 3.1 arm
Debian Linux 3.1 amd64
Debian Linux 3.1 alpha
Debian Linux 3.1
FreeRADIUS FreeRADIUS 1.1.1
FreeRADIUS FreeRADIUS 1.1
FreeRADIUS FreeRADIUS 1.0.5

- 不受影响的程序版本

FreeRADIUS FreeRADIUS 1.1.1
FreeRADIUS FreeRADIUS 1.1
FreeRADIUS FreeRADIUS 1.0.5

- 漏洞讨论

FreeRADIUS is prone to multiple buffer-overflow vulnerabilities. These issues are due to a failure in the application to do proper bounds checking on user-supplied data.

Reportedly, these issues may result in a denial-of-service condition only. Attackers cannot exploit these issues to gain unauthorized remote access.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or if you are aware of more recent information, please mail us at: vuldb@securityfocus.com

- 解决方案

The vendor released an update to address these issues.

Please see the referenced advisories for more information.


FreeRADIUS FreeRADIUS 1.0.3

FreeRADIUS FreeRADIUS 1.0.4

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站